## mutatormath 2.1.0

=== requirements.txt ===
ufoLib==2.1.0
defcon==0.3.5
fontMath==0.4.4

=== debian/changelog ===
mutatormath (2.1.0-1) unstable; urgency=low

  * Initial release. Closes: #806503

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Sun, 19 Nov 2017 11:35:09 +0800

=== debian/control ===
Source: mutatormath
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>
Build-Depends: debhelper (>=10),
               dh-python,
               python3-all,
               python3-setuptools,
	       python3-ufolib,
               python3-fontmath,
               python3-defcon,
               pandoc
Standards-Version: 4.1.1
Homepage: https://github.com/LettError/MutatorMath
Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/mutatormath.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-fonts/mutatormath.git
X-Python3-Version: >= 3.2

Package: python3-mutatormath
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-ufolib,
 python3-fontmath,
 python3-defcon
Description: Library for piecewise linear interpolations in n-dimensions
 MutatorMath is a Python library for the calculation of piecewise
 linear interpolations in n-dimensions with any number of masters. It
 was developed for interpolating data related to fonts, but if can
 handle any arithmetic object.

=== debian/watch ===
version=4
https://github.com/LettError/MutatorMath/releases \
 .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## mutatormath 2.1.1

=== requirements.txt ===
ufoLib==2.1.1
defcon==0.3.5
fontMath==0.4.4

=== debian/changelog ===
mutatormath (2.1.1-1) unstable; urgency=medium

  [ Yao Wei (魏銘廷) ]
  * New upstream version 2.1.1
  * debian/control:
    - Add version constraints to dependencies
    - Bump Standrads-Version to 4.1.4
    - Remove deprecated X-Python3-Version
    - Change Vcs fields to salsa.debian.org
    - Update mailing list address

  [ Jeremy Bicha ]
  * Bump debhelper compat to 11

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Mon, 10 Sep 2018 13:30:48 +0800

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: mutatormath
 Section: devel
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>
-Build-Depends: debhelper (>=10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python3-all,
                python3-setuptools,
-	       python3-ufolib,
-               python3-fontmath,
-               python3-defcon,
+	       python3-ufolib (>= 2.1.1),
+               python3-fontmath (>= 0.4.4),
+               python3-defcon (>= 0.3.5),
                pandoc
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: https://github.com/LettError/MutatorMath
-Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/mutatormath.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-fonts/mutatormath.git
-X-Python3-Version: >= 3.2
+Vcs-Git: https://salsa.debian.org/fonts-team/mutatormath.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/mutatormath
 
 Package: python3-mutatormath
 Section: python

## mutatormath 2.1.2

=== debian/changelog ===
mutatormath (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2
  * debian/control:
    - Update and cleanup dependencies
    - Bump Standards-Version to 4.2.1
    - Change uploader email address

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Fri, 14 Dec 2018 10:40:18 +0800

=== debian/control ===
Source: mutatormath
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-fontmath (>= 0.4.8),
               python3-fonttools (>= 0.3.32),
               python3-defcon (>= 0.6.0),
               pandoc
Standards-Version: 4.2.1
Homepage: https://github.com/LettError/MutatorMath
Vcs-Git: https://salsa.debian.org/fonts-team/mutatormath.git
Vcs-Browser: https://salsa.debian.org/fonts-team/mutatormath

Package: python3-mutatormath
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: Library for piecewise linear interpolations in n-dimensions
 MutatorMath is a Python library for the calculation of piecewise
 linear interpolations in n-dimensions with any number of masters. It
 was developed for interpolating data related to fonts, but if can
 handle any arithmetic object.

## mutatormath 3.0

=== requirements.txt ===
defcon==0.6.0
fontMath==0.4.8

=== debian/changelog ===
mutatormath (3.0-1) unstable; urgency=medium

  * New upstream version 3.0
  * Bump compat to 12
  * Bump Standards-Version to 4.4.0

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 08 Sep 2019 13:03:57 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -11,7 +11,7 @@
                python3-fonttools (>= 0.3.32),
                python3-defcon (>= 0.6.0),
                pandoc
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/LettError/MutatorMath
 Vcs-Git: https://salsa.debian.org/fonts-team/mutatormath.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/mutatormath

## mutatormath 3.0.1

=== debian/changelog ===
mutatormath (3.0.1-4) unstable; urgency=medium

  * Team upload.
  * The package builds fine, there is no FTBFS issue. (Closes: #1073382)
  * debian/control:
    + Bump Standards-Version to 4.7.0.
    + Bump debhelper compat to v13.
    + Use pyproject pybuild plugin to build the project.
  * debian/patches/:
    + 0001-Add-pyproject.toml.patch: Add minimal pyproject.toml from
      upstream for pyproject-based package building.
    + 0002-Purge-usage-of-distutils.patch: Add patch to avoid direct
      invocations of the deprecated distutils.

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Jun 2024 12:58:28 -0400

mutatormath (3.0.1-3) experimental; urgency=medium

  * debian/watch: use tags to track releases

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 16 Jul 2022 09:47:50 +0800

mutatormath (3.0.1-2) experimental; urgency=medium

  * debian/watch: Change GitHub archive URL

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 07 Nov 2021 23:35:21 +0800

mutatormath (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1
  * debian/control: Bump Standards-Version to 4.5.0
  * debian/tests/control: Add autopkgtest

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 31 May 2020 22:20:02 +0800

=== debian/control ===
Source: mutatormath
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Yao Wei (魏銘廷) <mwei@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 pandoc,
 python3-all,
 python3-defcon (>= 0.6.0),
 python3-fontmath (>= 0.4.8),
 python3-fonttools (>= 0.3.32),
 python3-setuptools,
Standards-Version: 4.7.0
Homepage: https://github.com/LettError/MutatorMath
Vcs-Git: https://salsa.debian.org/fonts-team/mutatormath.git
Vcs-Browser: https://salsa.debian.org/fonts-team/mutatormath

Package: python3-mutatormath
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for piecewise linear interpolations in n-dimensions
 MutatorMath is a Python library for the calculation of piecewise
 linear interpolations in n-dimensions with any number of masters. It
 was developed for interpolating data related to fonts, but if can
 handle any arithmetic object.

=== debian/tests/control ===
Test-Command: python3 Lib/mutatorMath/test/run.py
Depends:
 python3-mutatormath,
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/LettError/MutatorMath/tags \
 .*/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@
